Subject: Re: [eman] FW: #36: Consider whether MeteredBy relationship is needed

From: Bruce Nordman <[email-masked]>
Date: Mon, 3 Jun 2013 10:39:57 -0700

As a reminder, the issue tracker item in question is:
  "#36: Consider whether MeteredBy relationship is needed"
We have powered-by and metered-by is redundant.

Brad notes the Energy Services Interface concept from NIST, which
page 41 of the reference he points notes:  "... the Energy Services
Interface (ESI), which serves as the gateway to the Customer Premises
Network. "
This the gateway from the Smart Grid (Utility).

My comment had nothing to do with utility grids.
The requirements draft does not include the words "smart"
or "grid" at all, and the word "utility" only appears in the
name of one reference document.  Also, when NIST speaks of
"the meter" it is usually (perhaps always) the utility meter.
Just like any device, a utility meter can be an EMAN device.

I don't think it helpful to put words into my mouth - I said nothing about
the NIST definition of an ESI.  My comment is internal to EMAN.

Thanks,

--Bruce

On Mon, Jun 3, 2013 at 7:40 AM, Brad Schoening
<[email-masked]>wrote:

>  Bruce,
>
> As NIST notes:
>
> "The meter and the energy service interface have very different
> characteristics and functions. The logical separation of the meter and the
> ESI is a very important forward-looking aspect of the reference model."
>
> I hope we all agree that aligning EMAN with existing standards is both
> good and desirable.   The above statement seems to be an absolutely clear
> and reasonable explanation of why two topologies are helpful.  It would
> seem unwise to design an information model that was in conflict with recent
> NIST standards.
>
> If you continue to feel that the NIST viewpoint is wrong, could you please
> reference some other standards that would support your opinion.
>
> Regards,
>
> Brad
>
> On 6/3/2013 10:15 AM, Brad Schoening wrote:
>
>
>  *Brad Schoening*
> Engineering | Coraid
> Tel: +1 917 304 7190
> [email-masked] | www.coraid.com
>  *Coraid: Redefining Storage*
>
>
>   From: Bruce Nordman <[email-masked]>
> Date: Sun, 2 Jun 2013 23:11:14 -0700
> To: "John Parello (jparello)" <[email-masked]>
> Cc: eman mailing list <[email-masked]>, eman issue tracker <
> [email-masked]>
> Subject: Re: [eman] #36: Consider whether MeteredBy relationship is needed
>
>   Jon--
>
> You brought aggregation to this discussion -- I did not do so and do
> not see it as directly connected to powering/measurement.
>
>  I am not sure what you see as missing from the requirements.
>
> You mention removing powering and metering topology modeling.
>  I never suggested this.  I did observe that there is one topology
> of power flows and so Powered-By and Metered-By address
> the same issue so redundant to have both.  We can
>  have a simpler structure which meets our needs which is
> only good news
>
>  Thanks,
>
>  --Bruce
>
>
> On Thu, May 30, 2013 at 3:32 PM, John Parello (jparello) <
> [email-masked]> wrote:
>
>>  Hi Bruce,
>>
>>  Yes, We are not chartered to specify coordination with the grid which
>> would be a protocol. FSGIM  (201p) from ashrae most certainly specifies
>> information models not just for the grid but for facility devices as well
>> so you are mistaken there.
>>
>>  I think you confused protocol and information models again.
>>
>>  We are chartered for models for device management and we would be amiss
>> not to model information that ultimately would be used by EnMS' and grid
>> coordination systems (load summaries)
>>
>>   I find Brad's reference quite relevant. Both our existing taget EnMS
>> users (with running code) and  the quote he sites suggest imminent need for
>> modeling relationships between devices for power and metering.
>>
>>  Also we've recognized the need for power, metering and aggregation
>> topologies prior to the draft of the requirements. So if your are citing
>> that as missing from the requirements I think you've uncovered an error in
>> the requirements not a justification for removing information models
>> pertaining to relationships between devices.
>>
>
>>  Are you suggesting we remove power, metering, and aggregation topology
>> modeling?
>>
>
>>  Jp
>>
>> Sent from my iPad
>> (expect ridiculous spelling mistakes)
>>
>> On May 29, 2013, at 9:12 PM, "Bruce Nordman" <[email-masked]> wrote:
>>
>>   I don't follow why the ESI would be relevant to EMAN.
>> EMAN does not address coordination with the grid as
>> many standards do.  Standards designed for grid
>> coordination (e.g. the FSGIM) have different purposes
>> than EMAN and different fundamental models.  The
>> question at hand is what EMAN needs.
>>  --Bruce
>>
>>
>>  On Wed, May 29, 2013 at 6:38 AM, eman issue tracker <
>> [email-masked]> wrote:
>>
>>>  #36: Consider whether MeteredBy relationship is needed
>>>
>>>
>>>  Comment (by [email-masked]):
>>>
>>>   Other standards groups view !MeterBy and !PoweredBy as distinct logical
>>>  functions.  For example, NIST Framework and Roadmap for Smart Grid
>>>  Interoperability Standards, Release 1.0 states:
>>>
>>>  3.5.1 Distinction between the Meter and the Energy Services Interface
>>>
>>>      The meter and the ESI (Energy Services Interface) have very
>>> different
>>>  characteristics and functions. The logical separation of the meter and
>>> the
>>>  ESI is a very important forward-looking aspect of the reference model.
>>>      ..
>>>      While the ESI and meter are logically viewed as separate devices,
>>> this
>>>  does not preclude the
>>>      possibility for manufacturers to implement the meter and ESI in one
>>>  physical device, provided
>>>      that the flexibility and extensibility to support the Smart Grid
>>>  vision can be achieved. Most smart
>>>      meters currently integrate the ESI and meter functionality in one
>>>  device due to cost
>>>      considerations. Looking forward, logical separation of the two
>>>  functions, even if physically
>>>      integrated, is essential to avoid having the meter become an
>>>  impediment to innovation in energy
>>>      services enabled by the Smart Grid."
>>>
>>>
>>>  Full Text here:
>>>
>>> http://www.nist.gov/public_affairs/releases/upload/smartgrid_interoperability_final.pdf
>>>
>>>
>>> --
>>> ------------------------------+--------------------
>>>  Reporter:  [email-masked]  |       Owner:  Bruce
>>>      Type:  defect            |      Status:  new
>>>  Priority:  major             |   Milestone:
>>> Component:  framework         |     Version:
>>>   Severity:  -                 |  Resolution:
>>>  Keywords:                    |
>>> ------------------------------+--------------------
>>>
>>>  Ticket URL: <
>>> http://trac.tools.ietf.org/wg/eman/trac/ticket/36#comment:2>
>>>
>>>  eman <http://tools.ietf.org/eman/>
>>>
>>> _______________________________________________
>>> eman mailing list
>>> [email-masked]
>>> https://www.ietf.org/mailman/listinfo/eman
>>>
>>
>>
>>
>> --
>> *Bruce Nordman*
>> Lawrence Berkeley National Laboratory
>> *nordman.lbl.gov*
>> [email-masked]
>> 510-486-7089
>> m: 510-501-7943
>>
>>  _______________________________________________
>> eman mailing list
>> [email-masked]
>> https://www.ietf.org/mailman/listinfo/eman
>>
>>
>
>
> --
> *Bruce Nordman*
> Lawrence Berkeley National Laboratory
> *nordman.lbl.gov*
> [email-masked]
> 510-486-7089
> m: 510-501-7943
>    _______________________________________________ eman mailing list
> [email-masked] https://www.ietf.org/mailman/listinfo/eman
>
> No virus found in this message.
> Checked by AVG - www.avg.com
> Version: 2013.0.2904 / Virus Database: 3184/6356 - Release Date: 05/25/13
> Internal Virus Database is out of date.
>
>
>
> --
> *Brad Schoening*
> Email:
>

-- 
*Bruce Nordman*
Lawrence Berkeley National Laboratory
*nordman.lbl.gov*
[email-masked]
510-486-7089
m: 510-501-7943